	.386
	.model	use32 small

	extrn	allerrl : proc
	public	_acosl
	.data
nm	db	"acosl",0

	.code
_acosl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	fld	tbyte ptr [ecx]
	fld	st(0)
	fmulp	st(1)
	fld1
	fxch	st(1)
	fsub	st(1),st(0)
	fsqrt
	fld	tbyte ptr [ecx]
	fdiv	st(1),st(0)
	fld1
	fpatan
	sub	edx,edx
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end